Summary: Pluggable Authentication Modules: modular, incremental authentication
Name: pam
Version: 0.66
Release: 2
Copyright: GPL or BSD
Group: Base
Source: pam-redhat-%{version}.tar.gz
Source1: other.pamd
Patch: pam-megaloman.patch
Buildroot: /var/tmp/pam-root
Requires: cracklib, cracklib-dicts, pwdb >= 0.54-2
Obsoletes: pamconfig
Url: http://parc.power.net/morgan/Linux-PAM/index.html

%description
PAM (Pluggable Authentication Modules) is a powerful, flexible,
extensible authentication system which allows the system administrator
to configure authentication services individually for every pam-compliant
application without recompiling any of the applications.

%prep
%setup -q
%patch -p1

%build
touch .freezemake
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS"

%install
# $RPM_BUILD_ROOT/var got 600 permissions so 'rm -rf $RPM_BUILD_ROOT' is
# unable to remove it
if [ -d $RPM_BUILD_ROOT/var ]; then
  chmod -R a+x $RPM_BUILD_ROOT/var
fi
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/include/security
mkdir -p $RPM_BUILD_ROOT/lib/security
make install FAKEROOT=$RPM_BUILD_ROOT
install -d -m 755 $RPM_BUILD_ROOT/etc/pam.d
install -m 644 other.pamd $RPM_BUILD_ROOT/etc/pam.d/other
# make sure the modules built...
[ -f $RPM_BUILD_ROOT/lib/security/pam_deny.so ] || {
  echo "You have LITTLE or NOTHING in your /lib/security directory:"
  echo $RPM_BUILD_ROOT/lib/security/*
  echo ""
  echo "Fix it before you install this package, while you still can!"
  exit 1
}

%clean
# $RPM_BUILD_ROOT/var got 600 permissions so 'rm -rf $RPM_BUILD_ROOT' is
# unable to remove it
if [ -d $RPM_BUILD_ROOT/var ]; then
  chmod -R a+x $RPM_BUILD_ROOT/var
fi
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%files
%defattr(-,root,root)
%dir /etc/pam.d
%config /etc/pam.d/other
%doc Copyright
%doc doc/html doc/ps doc/txts
%doc doc/specs/rfc86.0.txt
/lib/libpam.so.0.*
/lib/libpam.so
/lib/libpam_misc.so.0.*
/lib/libpam_misc.so
/lib/libpam_misc.a
/usr/include/security/*.h
/sbin/*
/lib/security
%config /etc/security/access.conf
%config /etc/security/time.conf
%config /etc/security/group.conf
%config /etc/security/limits.conf
%config /etc/security/pam_env.conf

%changelog
* Sun Feb 21 1999 Peter Hanecak <hanecak@megaloman.com>
- pam-megaloman.patch to fix syntax error in modules/pam_console/MAKEFILE and
  some root require operations (not wanted while making RPMs as non root)
- 'chmod -R a+x $RPM_BUILD_ROOT/var' in %install and %clean to allow removing
  of this directory (it got 0600 permissions)

* Fri Feb 12 1999 Cristian Gafton <gafton@redhat.com>
- upgraded to 0.66, some source cleanups

* Mon Dec 28 1998 Cristian Gafton <gafton@redhat.com>
- add patch from Savochkin Andrey Vladimirovich <saw@msu.ru> for umask
  security risk

* Fri Dec 18 1998 Cristian Gafton <gafton@redhat.com>
- upgrade to ver 0.65
- build the package out of internal CVS server

